Package org.springframework.security.web.server.authorization

# Class AuthorizationContext

java.lang.Object
org.springframework.security.web.server.authorization.AuthorizationContext

public class AuthorizationContext extends Object

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationContext(org.springframework.web.server.ServerWebExchange exchange)`
`AuthorizationContext(org.springframework.web.server.ServerWebExchange exchange, Map<String,Object> variables)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.web.server.ServerWebExchange`
`getExchange()`
`Map<String,Object>`
`getVariables()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizationContext

public AuthorizationContext(org.springframework.web.server.ServerWebExchange exchange)

### AuthorizationContext

public AuthorizationContext(org.springframework.web.server.ServerWebExchange exchange, Map<String,Object> variables)

## Method Details

### getExchange

public org.springframework.web.server.ServerWebExchange getExchange()

### getVariables

public Map<String,Object> getVariables()